/**
 * Section
 */
.section-slideshow {
	margin-top: 0;
	margin-bottom: 0;
}

.slideshow-container {
	position: relative;
}

.container-decor {
	position: relative;
}

.slideshow {
	position: relative;
	width: 100%;
	height: 94vh;
	background: var(--color-dark);
	overflow: hidden;
}

.slideshow .flickity-viewport {
	height: 100% ! important;
}

.slideshow .flickity-enabled.is-draggable .flickity-viewport {
  cursor: auto;
}

.slideshow__main {
	overflow: hidden;
}

.slideshow__main,
.slideshow__image {
	position: relative;
	width: 100%;
	height: 100%;
}

.slideshow__slide {
	position: absolute;
	left: 0;
	width: 100%;
	height: 100%;
}

.slideshow__nav {
	position: absolute;
	left: 0;
	right: 0;
	height: 100%;
}

/* slide image */
.slideshow__image-wrapper {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	display: block;
	overflow: hidden;
}

.slideshow__image {
	width: 100%;
	height: 100%;
	display: block;
}

.slideshow__image img {
	width: 100%;
	height: 100%;
	display: block;
	object-fit: cover;
	object-position: center center;	
}

.slideshow__image-mask {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	background-color: var(--image-mask-50);
}

.slideshow__image-mask::before,
.slideshow__image-mask::after {
	content: "";
	position: absolute;
	left: 0;
	height: 40%;
	width: 100%;
	display: block;
}

.slideshow__image-mask::before {
	top: 0;
	height: 30%;
	background-image: var(--image-mask-top-50);
}

.slideshow__image-mask::after {
	bottom: 0;
	background-image: var(--image-mask-bottom-50);
}

.slideshow__slide.is-selected .slideshow__image {
	animation: image-rotate-in 1s ease both;
}

@keyframes image-rotate-in {
	0% {
		transform: scale(1.1);
	}

	100% {
		transform: scale(1);
	}
}

/* slide content */
.slideshow__slide .container {
	height: 100%;
}

.slideshow__text {
	position: relative;
	width: 100%;
	height: 100%;
}

.slideshow__content {
	display: grid;
	justify-items: start;
	position: absolute;
	left: 0;
	bottom: var(--spacing-100);
	max-width: 600px;
	padding-top: 15px;
	padding-bottom: 15px;
	z-index: 102;
	text-align: left;
}

.slideshow__content-left-bottom {
	top: auto;
	bottom: 80px;
	transform: translateY(0%) translateX(0%);	
	border-left: 0px solid var(--color-white-20);
}

.slideshow__content-right {
	text-align: left;
	left: auto;
	right: 100px;
	transform: translateY(-50%);
}

.slideshow__content-right-bottom {
	text-align: left;
	justify-items: start;
	top: auto;
	left: auto;
	right: 100px;
	bottom: 80px;
	transform: none;
}

.slideshow__content-center {
	text-align: center;
	justify-items: center;
	left: 50%;
	transform: translateY(-50%) translateX(-50%);
}

.slideshow__content-center-bottom {
	text-align: center;
	justify-items: center;
	left: 50%;
	top: auto;
	bottom: 60px;
	transform: translateX(-50%);
}


@media screen and (max-width: 1200px) {
	.slideshow__content {
		bottom: 60px;
	}
	
	.slideshow__content-right  {
		right: 65px;
	}
	
	.slideshow__content-right-bottom {
		right: 65px;
		bottom: 60px;
	}
}


@media screen and (max-width: 767px) {
	.slideshow__content-right-bottom {
		right: 10px;
	}	
	
	.slideshow__content-right  {
		right: 10px;
	}
}

@media screen and (max-width: 480px) {
	.slideshow__content {
		bottom: 90px;
	}
}

.slideshow__uptitle {
	margin-bottom: 15px;
	color: var(--color-white);
}

.slideshow__title {
	position: relative;
	display: block;
	margin-bottom: 0px;
	line-height: 1.1em;
	color: var(--color-white);
}

.slideshow__title::before {
	content: attr(data-letter);
	z-index: -1;
	position: absolute;
	margin-left: -0.21em;
	top: 0;
	font-size: 0vw;
	color: var(--color-white-05);
	transform: translateY(0%);
}


.slideshow__description {
	display: block;
	font-size: 1.125em;
	color: var(--color-white);
	white-space: pre-wrap;
	line-height: 20px;
}

@media screen and (max-width: 767px) {
	.slideshow__description {
		font-size: 1em;
	}
}

.slideshow__link {
	margin: 20px 0 0;
	color: var(--color-white);
}

.slideshow__link[disabled] {
	cursor: not-allowed;
	opacity: .4;
}

.slideshow .content-animate {
	margin-bottom: 10px;
	position: relative;
	opacity: 1;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	transform: translateX(0px);
}

.slideshow .is-pointer-down .content-animate {
	opacity: 0;
}

.slideshow__slide.is-selected .content-animate {
	animation-name: text-animated-from-right;
	animation-duration: 300ms;
	animation-timing-function: cubic-bezier(.25,.46,.45,.94);
	animation-direction: normal;
	animation-fill-mode: both;
}

.slideshow__slide.is-selected .content-animate:nth-child(1) {
	animation-delay: 300ms;
}

.slideshow__slide.is-selected .content-animate:nth-child(2) {
	animation-delay: 500ms;
}

.slideshow__slide.is-selected .content-animate:nth-child(3) {
	animation-delay: 700ms;
}

.slideshow__slide.is-selected .content-animate:nth-child(4) {
	animation-delay: 900ms;
}

@keyframes text-animated-from-right {
	0% {
		opacity: 0;
		transform: translateX(60px);
	}

	100% {
		opacity: 1;
		transform: translateX(0px);
	}
}

/* nav */
.slideshow__buttons {
	position: absolute;
	bottom: 50px;
	right: 30px;
	display: grid;
	align-items: end;
	grid-auto-flow: column;
	z-index: 106;	
}

@media screen and (max-width: 480px) {
	.slideshow__buttons {
		bottom: 30px;
		right: 10px;
	}
}

/* buttons */
.slideshow__button {
	color: var(--color-white);
	border-width: 1px;
	border-color: var(--color-white-10);
	backdrop-filter: blur(4px);
}

@media screen and (max-width: 980px) {
	.slideshow__button {
		width: 50px;
		height: 50px;
		backdrop-filter: none;
	}
}

.slideshow__button:focus {
	border-color: var(--color-white-10);	
}

.slideshow__button-next {
	margin-left: 2px;
}

.slideshow__button-pause {
	position: absolute;
	top: 0;
	right: 0;
	font-size: 24px;
	transform: translateY(-100%);
	margin: 0;
}

.slideshow__button-pause .pause-icon::before {
	content: "";
	display: block;
	height: 15px;
	width: 10px;
	border-style: solid;
	border-width: 0 2px 0 2px;
	border-color: var(--color-white);
	background: transparent;
}

.slideshow__button-pause:focus .pause-icon::before,
.slideshow__button-pause:hover .pause-icon::before {
	color: var(--color-dark);
	border-color: var(--color-white);
	background-color: transparent;
	box-shadow: none;
}

.slideshow__button-pause.paused .pause-icon::before {
	width: 0;
	height: 0;
	border-width: 7px;
	margin-left: 7px;
	border-color: transparent;
	border-left-color: var(--color-white);
}

/* dots */
.slideshow__dots {
	display: grid;
	grid-auto-flow: column;
	align-items: end;
	padding: 0;
	margin: 0 4vw 0 0;
}

.slideshow__dot {
	position: relative;
	display: grid;
	justify-items: center;
	align-items: start;
	width: 35px;
	height: 35px;
	padding: 0;
	margin: 0;
	background: transparent;
	border-radius: 0;
	opacity: 1;
	cursor: pointer;
	color: transparent;
}

.slideshow__dot:focus,
.slideshow__dot:hover {
	box-shadow: none;
	background: transparent;
}

.slideshow__dot::before {
	content: "";
	position: absolute;
	left: 50%;
	top: 0;
	vertical-align: middle;
	width: 1px;
	height: 15px;
	border-radius: 0;
	background-color: var(--color-white-20);
	transform: translateX(-50%);
	transition: all var(--ease-fast);
}

.slideshow__dot:hover::before,
.slideshow__dot:focus::before {
	background-color: var(--color-white-50);	
}

.slideshow__dot.active::before {
	height: 35px;
	background-color: var(--color-white-90);
}

@media screen and (max-width: 767px) {
	.slideshow__dot {
		width: 35px;
	}
}

@media screen and (max-width: 480px) {
	.slideshow__dots {
		display: none;
	}
}

/* slider progress bar */
.slideshow__progress {
	position: absolute;
	left: 0;
	bottom: 0;
	display: block;
	width: 100%;
	height: 1px;
	overflow: hidden;
	z-index: 105;
	background: rgba(255, 255, 255, 0.05);
	transform: translateY(6px);
	transition: all .18s ease;
}

.slideshow__progress.active {
	transform: translateY(0px);	
}

.slideshow__progress-bar {
	position: relative;
	display: block;
	width: 100%;
	height: 1px;
	opacity: 1;
	background-color: var(--color-link);
	transform: translateX(-100%);
}

/* slideshow counter */
.slideshow__counter {
	position: absolute;
	bottom: 15px;
	left: 30px;
	z-index: 103;
	overflow: hidden;
	display: grid;
	grid-auto-flow: column;
	align-items: center;
	font-size: 14px;
	display: none;
}

@media screen and (max-width: 480px) {
	.slideshow__counter  {
		display: grid;
	}
}

.slideshow__counter-total {
	display: inline-block;
	line-height: 50px;
	color: rgba(255, 255, 255, 1);
}

.slideshow__counter-total::before {
	content: "";
	display: inline-block;
	margin-right: 10px;
	width: 1px;
	height: 10px;
	background: rgba(255, 255, 255, 0.15);
}

.slideshow__counter-current {
	display: inline-block;
	width: 20px;
	position: relative;
	color: rgba(255, 255, 255, 1);
	transform: translateY(0%);
}

.slideshow__counter-current.active {
	color: rgba(255, 255, 255, 0);
	transform: translateY(100%);
	transition: all .4s ease;
}

.slideshow__counter-current::before {
	content: attr(data-next);
	position: absolute;
	color: rgba(255, 255, 255, 0);
	transform: translateY(-100%);
}

.slideshow__counter-current.active::before {
	color: rgba(255, 255, 255, 1);
	transition: all .4s ease;
}

/* preloader css animation triggered via js */
@keyframes preloader {
	0% {
		transform: translateX(-100%);
	}

	100% {
		transform: translateX(0%);
	}
}

/* preloader */
.slideshow__preloader {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	height: 100%;
	width: 100%;
	z-index: 109;
	opacity: 1;
	visibility: visible;
	background-color: var(--color-dark);
	transition-duration: 1s;
}

.slideshow__preloader.completed {
	opacity: 0;
	visibility: hidden;
}

/* live region */
.slideshow__liveregion {
	color: var(--color-white);
	background: var(--color-dark);
}